- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QBlendEquation
- Qt 6.8.3 Reference Documentation

# QBlendEquation Class

class Qt3DRender::QBlendEquation

The QBlendEquation class specifies the equation used for both the RGB blend equation and the Alpha blend equation. More...

Header: | `#include <Qt3DRender/QBlendEquation>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | BlendEquation
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | BlendFunction { Add, Subtract, ReverseSubtract, Min, Max }

## Properties

- blendFunction : BlendFunction

## Public Functions

| QBlendEquation(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QBlendEquation::BlendFunction | blendFunction() const

## Public Slots

void | setBlendFunction(Qt3DRender::QBlendEquation::BlendFunction blendFunction)

## Signals

void | blendFunctionChanged(Qt3DRender::QBlendEquation::BlendFunction blendFunction)

## Detailed Description

The blend equation is used to determine how a new pixel is combined with a pixel already in the framebuffer.

## Member Type Documentation

### enum QBlendEquation::BlendFunction

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QBlendEquation::Add` | `0x8006` | GL_FUNC_ADD
`Qt3DRender::QBlendEquation::Subtract` | `0x800A` | GL_FUNC_SUBTRACT
`Qt3DRender::QBlendEquation::ReverseSubtract` | `0x800B` | GL_FUNC_REVERSE_SUBTRACT
`Qt3DRender::QBlendEquation::Min` | `0x8007` | GL_MIN
`Qt3DRender::QBlendEquation::Max` | `0x8008` | GL_MAX

## Property Documentation

### blendFunction : BlendFunction

Holds the blend function, which determines how source and destination colors are combined.

Access functions:

Qt3DRender::QBlendEquation::BlendFunction | blendFunction() const
void | setBlendFunction(Qt3DRender::QBlendEquation::BlendFunction blendFunction)

Notifier signal:

void | blendFunctionChanged(Qt3DRender::QBlendEquation::BlendFunction blendFunction)

## Member Function Documentation

### `[explicit]` QBlendEquation::QBlendEquation(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new blend state object with the specified parent.